Subject: Re: [PATCH] ci: github action - add check for whitespace errors

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Oct 2020 09:23:28 -0700

Johannes Schindelin <[email-masked]> writes:

> Hi Chris,
>
> On Thu, 8 Oct 2020, Chris Webster wrote:
>
>> Is this waiting for some action on my part?  I thought the question of
>> running on push vs pull had been resolved (in favour of pull).
>
> FWIW I agree that the current shape is the best we can do for now (and of
> course, full disclosure: I was the one suggesting to restrict this to Pull
> Requests because we know exactly the commit range to check in that case).

I think this is exactly the use case that

    After the list reached a consensus that it is a good idea to apply the
    patch, re-send it with "To:" set to the maintainer{current-maintainer}
    and "cc:" the list{git-ml} for inclusion.

in Documentation/SubmittingPatches was written to address.

I usually pay attention to majority of topics and have them on my
radar by getting involved in _some_ way in the discussion thread, so
I often know when the patch(es) matured enough to be picked up
without such a "this is the version after our discussion and it is
as close to perfect as we can possibly make" resend.

But for some topics, I have no strong opinion on the exact shape of
the final patch(es), and/or I have no expertise to offer to help the
discussion to reach the final product.  In such a case, I'd be just
waiting, without getting involved in the discussion, for trusted
others to bring the posted patch to a completed form.  I think this
is such a case.

Thanks.